[pkg-kolab] r80 - trunk/kolab-resource-handlers/debian/patches

Steffen Joeris white-guest at costa.debian.org
Wed Jan 4 14:20:31 UTC 2006


Author: white-guest
Date: 2006-01-04 14:20:30 +0000 (Wed, 04 Jan 2006)
New Revision: 80

Added:
   trunk/kolab-resource-handlers/debian/patches/20-kolabmailtransport.php.dpatch
Modified:
   trunk/kolab-resource-handlers/debian/patches/00list
Log:
* new patch for kolabmailtransport.php


Modified: trunk/kolab-resource-handlers/debian/patches/00list
===================================================================
--- trunk/kolab-resource-handlers/debian/patches/00list	2006-01-04 14:02:11 UTC (rev 79)
+++ trunk/kolab-resource-handlers/debian/patches/00list	2006-01-04 14:20:30 UTC (rev 80)
@@ -1 +1,2 @@
 10-resmgr.conf
+20-kolabmailtransport.php

Added: trunk/kolab-resource-handlers/debian/patches/20-kolabmailtransport.php.dpatch
===================================================================
--- trunk/kolab-resource-handlers/debian/patches/20-kolabmailtransport.php.dpatch	2006-01-04 14:02:11 UTC (rev 79)
+++ trunk/kolab-resource-handlers/debian/patches/20-kolabmailtransport.php.dpatch	2006-01-04 14:20:30 UTC (rev 80)
@@ -0,0 +1,36 @@
+#!/bin/sh -e
+## 20-kolabmailtransport.dpatch by Steffen Joeris <steffen.joeris at skolelinux.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Correct path
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/kolabmailtransport.php.orig	2006-01-04 15:08:14.000000000 +0100
++++ kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/kolabmailtransport.php	2006-01-04 15:09:21.000000000 +0100
+@@ -134,7 +134,7 @@
+   }
+ 
+   function createTransport() {
+-    require_once 'Net/LMTP.php';
++    require_once '/usr/share/kolab-resource-handlers/php/LMTP.php';
+     $this->transport = &new Net_LMTP($this->host, $this->port);    
+   }
+ };


Property changes on: trunk/kolab-resource-handlers/debian/patches/20-kolabmailtransport.php.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-kolab-devel mailing list